-- This script adds a custom velocity value to the player's current velocity every frame depending on which key is currently pressed (ctrl or jump). 
-- Mod name inspired by gameshark cheat codes from old consoles.
-- Mod function inspired by literally any sandbox game.

function update(dt)
	local vel = GetPlayerVelocity()
	if InputDown("jump") then
		SetPlayerVelocity(VecAdd(vel, Vec(0, 0.45, 0))) -- player velocity moving up (jump)
	end
	if InputDown("ctrl") then
		SetPlayerVelocity(VecAdd(vel, Vec(0, -0.45, 0))) -- player velocity moving down (ctrl)
	end
	if InputDown("ctrl") and InputDown("jump") then
		SetPlayerVelocity(Vec(0, 0.16, 0)) -- hover in place (jump+ctrl)
	end
	
	DebugPrint(GetString("level.name"))
end

-- A script by Murdoc.